#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

group = "datasource_programs"

register_rule(group,
    "special_agents:ssllabs",
     Transform(
         valuespec = Dictionary(
            title = _("Check SSL Server via ssllabs API"),
            help = _("This rule selects the ssllabs agent, which fetches "
                 "SSL Certificate status from api.ssllabs.com. "),
            elements = [
                ( "sslhost",
                    TextAscii(
                    title = _("Server Name for ssl cert"),
                    allow_empty = False,
                    ),
                ),
                ( "timeout",
                    Integer(
                    title = _("Connect Timeout"),
                    help = _("The network timeout in seconds when communicating via HTTP. "
                             "The default is 60 seconds."),
                    default_value = 60,
                    minvalue = 1,
                    unit = _("seconds")
                    )
                ),
                ( "proxy",
                    TextAscii(
                    title = _("proxy server, if require"),
                    help = _("proxy in format: servername:port"),
                    ),
                ),
            ],
        ),
    ),
    match = 'first')
